Subject: [Ietf-behave] Montréal BEHAVE agenda time

From: "Dan Wing" <[email-masked]>
Date: Tue, 20 Jun 2006 13:22:39 -0700 (PDT)

Please email me if you would like agenda time in Montreal.  I have asked for
a two-hour slot.

So far I have the following requests:

  * TCP
    (draft-ietf-behave-tcp) -- Saikat, 30 minutes
  * RFC3489bis
    (draft-ietf-behave-rfc3489bis) -- Jonathan, 30 minutes
  * TURN
    (draft-ietf-behave-turn) -- Rohan, 30 minutes
  * ICMP
    Cullen, 15 minutes

If you want agenda time and you're not on the list please email me directly.

-d

---

From: Pyda Srisuresh <[email-masked]>
Date: Wed, 21 Jun 2006 18:22:45 -0700 (PDT)

Dan,

I object to assigning the ICMP slot to Cullen.

Saikat presented the ICMP draft in the last IETF meeting. Per Saikat, there was
general consensus in the last IETF meeting to have an ICMP draft for the WG.
This is clearly reflected in the WG roadmap now.

The people that reviewed the draft and participated in the discussions
supported the draft to become a WG item. At least two people on the mailing
list responded affirmatively in adapting this as WG item. And, the ICMP draft
is published as WG item now. Cullen, who was the lone objector, had no
technical objections to the draft.

What would be the purpose of assigning the time slot on ICMP to Cullen?

regards,
suresh

--- Dan Wing <dwing@xxxxxxxxx> wrote:

> _______________________________________________
> Ietf-behave mailing list
> Ietf-behave@xxxxxxxxxxxxxxxxxxx
> https://list.sipfoundry.org/mailman/listinfo/ietf-behave
>

---

From: Cullen Jennings <[email-masked]>
Date: Wed, 21 Jun 2006 20:39:55 -0700 (PDT)

Hi suresh,

I think several of your statements are wrong but don't really matter  
for the important question you are asking of what do I want to  
accomplish with this agenda time request  - which is a very fair  
question.

I have no intention of asking the WG to "un adopt" this if that is  
your concern. The chair made a call on this, if I was going to appeal  
it, I would of. It's a done decision - I hate WG constantly  
revisiting decisions that were already made. It's a WG document. I  
hope everyone sticks with the same position on not trying to remake  
decisions that were already made.

I do however think there are some open issues with this document.  
Primarily I think the open issues are largely the ones that Saikat  
presented at the last meeting.

You can find his presentation at
http://www3.ietf.org/proceedings/06mar/slides/behave-2.pdf
You can see it ask several questions and most of them were not  
resolved as you can see from the minutes at
http://www3.ietf.org/proceedings/06mar/minutes/behave.txt

I plan to more or less go through the same slides Saikat did in the  
same style and see if, now that we have the draft, people can come to  
conclusion on some of these. As always, I expect any input that comes  
up in the room to be brought back to the list and Chair (which will  
not be me) to help combine the two inputs and make a consensus call.  
I will also go through the emails list and try and find any other  
open issues or issues that we have managed to close and can be  
ignored and update the slides a bit. If the authors think there are  
open issues that they need WG input on to finish the draft, please  
send them on to me and the list.

I have an excellent understanding of this draft and have probably  
been one of the most involved with people that will be at the meeting  
- I could not think of a better person to walk though these issues  
and try and drive them to conclusion so I requested the time.

Cullen (with my individual contributor hat on)

On Jun 21, 2006, at 6:22 PM, Pyda Srisuresh wrote:

Dan,

Saikat presented the ICMP draft in the last IETF meeting. Per  
Saikat, there was
general consensus in the last IETF meeting to have an ICMP draft  
for the WG.
This is clearly reflected in the WG roadmap now.

The people that reviewed the draft and participated in the discussions
supported the draft to become a WG item. At least two people on the  
mailing
list responded affirmatively in adapting this as WG item. And, the  
ICMP draft
is published as WG item now. Cullen, who was the lone objector, had no
technical objections to the draft.

What would be the purpose of assigning the time slot on ICMP to  
Cullen?

regards,
suresh

Please email me if you would like agenda time in Montreal.  I have  
asked for
a two-hour slot.

  * TCP
    (draft-ietf-behave-tcp) -- Saikat, 30 minutes
  * RFC3489bis
    (draft-ietf-behave-rfc3489bis) -- Jonathan, 30 minutes
  * TURN
    (draft-ietf-behave-turn) -- Rohan, 30 minutes
  * ICMP
    Cullen, 15 minutes
If you want agenda time and you're not on the list please email me  
directly.

-d

---

From: Pyda Srisuresh <[email-masked]>
Date: Fri, 23 Jun 2006 10:51:09 -0700 (PDT)

Cullen,

Good to hear that you are not intending to un-adopt the draft. That is a
relief. As for the open issues from the last WG meeting, that is precisely what
the authors and reviewers went through to address each and every one of them in
great detail. I dont undersdtand why you want to start all over again,
resetting the base to 4 months ago. If there are open issues still remaining
from the last meeting, I want to know about them first hand, preferably on the
list where I can participate. I will start a seperate thread addressing all
issues raised in the last WG meeting, so we know which of these still remain
open and what newer issues have arised since then. This way, the WG meeting can
be used effectively to discuss only the current outstanding open issues.

> and try and drive them to conclusion so I requested the time.

You claim to have excellent understanding of the draft and to be the most
involved with people that will be at the meeting. I donot know what to make of
this assertion.

Based on your comments and actions in the past, I am very uncomfortable with
your driving this slot. I would like this to be an objective meeting, where
issues are addressed without bias and with an intent to bring closure. Dan
Wing, the WG chair, has a thorough understanding of the subject matter and has
gone through each and every one of the issues with the authors in detail. Dan
was also very effective in bringing closure to the issues that were discussed.
As individual and as Wg chair, Dan is most qualified to walk through the issues
in the meeting. I request Dan to carry out this slot of the meeting. If  not, I
would request one of the co-authors (Saikat, most likely) to walk through the
issues.

Thanks.

regards,
suresh

---

From: Cullen Jennings <[email-masked]>
Date: Fri, 23 Jun 2006 12:12:36 -0700 (PDT)

On Jun 23, 2006, at 10:51 AM, Pyda Srisuresh wrote:

Cullen,

Good to hear that you are not intending to un-adopt the draft. That  
is a
relief. As for the open issues from the last WG meeting, that is  
precisely what
the authors and reviewers went through to address each and every  
one of them in
great detail. I dont undersdtand why you want to start all over again,
resetting the base to 4 months ago. If there are open issues still  
remaining
from the last meeting, I want to know about them first hand,  
preferably on the
list where I can participate.
As to what the open issue are - I already provided a link to the  
minutes from the last meeting.

I will start a seperate thread addressing all
issues raised in the last WG meeting, so we know which of these  
still remain
open and what newer issues have arised since then.
Right - however, if 5 people on the list think it is closed, and 50  
people in the room think it is open - I would appeal any consensus  
decision that claimed the 5 people on list override 50 people in  
room. (And likewise I would appeal any consensus decision that  
ignored the people on the list that were not in the room).

This way, the WG meeting can
be used effectively to discuss only the current outstanding open  
issues.

You say:
I have an excellent understanding of this draft and have probably
been one of the most involved with people that will be at the meeting
- I could not think of a better person to walk though these issues
and try and drive them to conclusion so I requested the time.
You claim to have excellent understanding of the draft and to be  
the most
involved with people that will be at the meeting. I donot know what  
to make of
this assertion.

Personal opinion of course. It's the wonderful thing about IETF,  
everyone gets to have an opinion no matter how stupid it is.

Based on your comments and actions in the past, I am very  
uncomfortable with
your driving this slot. I would like this to be an objective  
meeting, where
issues are addressed without bias and with an intent to bring  
closure. Dan
Wing, the WG chair, has a thorough understanding of the subject  
matter and has
gone through each and every one of the issues with the authors in  
detail. Dan
was also very effective in bringing closure to the issues that were  
discussed.
As individual and as Wg chair, Dan is most qualified to walk  
through the issues
in the meeting. I request Dan to carry out this slot of the  
meeting. If  not, I
would request one of the co-authors (Saikat, most likely) to walk  
through the
issues.
I am a member of this WG, I have requested agenda time. I expect the  
chairs to prioritize time of course but my request stands and unless  
the time needs to be used for other things, I see no reason I should  
not be allowed to request agenda time on any WG document. You point  
out that Dan is very effective at bringing closure to the open issues  
- keep in mind he will be chairing this discussion and I have full  
connivence he will keep it on point. I think you might, as usual,  
confuse my intentions as well - my intention is to drive the points  
to consensus and so this document can be done.

Thanks.

regards,
suresh

Hi suresh,

Dan,

Saikat presented the ICMP draft in the last IETF meeting. Per
Saikat, there was
general consensus in the last IETF meeting to have an ICMP draft
for the WG.
This is clearly reflected in the WG roadmap now.
The people that reviewed the draft and participated in the  
discussions
supported the draft to become a WG item. At least two people on the
mailing
list responded affirmatively in adapting this as WG item. And, the
ICMP draft
is published as WG item now. Cullen, who was the lone objector,  
had no
technical objections to the draft.

  * TCP

---

From: Pyda Srisuresh <[email-masked]>
Date: Fri, 23 Jun 2006 13:34:22 -0700 (PDT)

> minutes from the last meeting.
[suresh] Understood.

> ignored the people on the list that were not in the room).

[suresh] Just so what I said is not misunderstood, let me clarify one more
time. I said, a closed group of people reviewed all ICMP items that came up in
the last WG meeting and the current ICMP document is a result of that detailed
review. I also said, I was going to review the items once again in conjunction
with the current draft with the list - that is, everyone on the list gets to
review and determine which of the items is closed and which is not. Getting
consensus on the the list is the IETF way.

Do you feel that every consensus item on the list needs to be appealed in a WG
meeting until it is agreed upon and approved be people in the WG meeting? That
is not the IETF way, AFAIK. 

Perhaps the WG chair or the AD can comment or offer advice on this. Thanks.

> to consensus and so this document can be done.

[suresh] Cullen - I am not attributing any intent to you at this point. From
what you say above, we both agree on one thing - Driving open items to
consensus, so the ICMP document can be done. I am requesting Dan to drive this
slot (or) allow one of the co-authors (Saikat) to drive the slot. It is not
unusual for a WG chair or draft author to drive time slot for a draft.

Thanks.

regards,
suresh

---

From: Thomas Narten <[email-masked]>
Date: Sat, 24 Jun 2006 03:28:24 -0700 (PDT)

Pyda Srisuresh <srisuresh@xxxxxxxxx> writes:

> [suresh] Just so what I said is not misunderstood, let me clarify
> one more time. I said, a closed group of people reviewed all ICMP
> items that came up in the last WG meeting and the current ICMP
> document is a result of that detailed review.

In cases like this, an issue tracker would be a big help. That way
folk could go look at the issue, and the specific changed text that
resulted, and decide whether they agree that the issue has been
adequately closed.

Sorry, but I have a knee jerk whenever I hear "we considered the
comments and they have been addressed in the revised ID." Do the
people who raised the issues originally agree with the
conclusion/resolution of the raised issues? Have they confirmed that
they are in agreement? (Seems like this could be done outside of the
meeting as part of the prep for discussion.)

Thomas

---

From: Pyda Srisuresh <[email-masked]>
Date: Sat, 24 Jun 2006 06:47:12 -0700 (PDT)

ISSUE-0

  1. same thing with timeouts as UDP/TCP, namely administrator-
     configured timeout.  Want feedback from BEHAVE.

  Cullen asked what applications beyond ICMP PING and ICMP traceroute
  need this draft.  Saikat agreed with Cullen, but said some ICMP
  errors are useful.

  Francois suggested we make sure something is broken before we 
  take this as a WG item.

  Saikat skipped to end of presentation, asking room to adopt this
  as WG item.

  Philip Matthews (?) said the document is important if vendors
  screw up ICMP, or ICMP needs more predictable behavior.

  Saikat said the UDP and TCP documents identified what needs to
  change, at minimum, to make UDP and TCP work.  For ICMP, we're
  less sure what those problems are.  

RESOLUTION: The discussion was mainly to do with whether or not the ICMP draft
should be adapted as WG item. There was consensus to add ICMP draft to the WG.
The WG chair added ICMP draft to the revised milestones list.
draft-ietf-behave-nat-icmp-00.txt is now a WG item.

---

From: Magnus Westerlund <[email-masked]>
Date: Sun, 25 Jun 2006 23:40:35 -0700 (PDT)

Hi,

I think this whole discussion have been unfortunate. It shows a lack of 
communication. I think Cullen should not have requested the slot without 
first discussing it with the current authors of the document. I am also 
a bit disappointed in Srisuresh of thinking the worst, instead of asking 
in a more civil tone why Cullen has requested the slot. Can everyone 
please be more considerate in your postings. I do want cooperation.

Can we please move on. The authors have presented how they propose to 
solve the issues raised. I kindly ask the WG participants to review 
those proposals and continue to discuss the issues if they are not 
agreeing on the resolution. And raise any remaining issues with the 
draft. That way we can hopefully more correctly asses what issues if any 
is still problematic and need face to face discussion in Montreal.

Please sort out between yourself who is going to summarize the open 
issues.

Cheers

Magnus Westerlund

Multimedia Technologies, Ericsson Research EAB/TVA/A
----------------------------------------------------------------------
Ericsson AB                | Phone +46 8 4048287
Torshamsgatan 23           | Fax   +46 8 7575550
S-164 80 Stockholm, Sweden | mailto: magnus.westerlund@xxxxxxxxxxxx

---

From: Cullen Jennings <[email-masked]>
Date: Mon, 26 Jun 2006 00:44:24 -0700 (PDT)

On Jun 25, 2006, at 11:40 PM, Magnus Westerlund wrote:

 I think Cullen should not have requested the slot without first  
discussing it with the current authors of the document.
I have an a huge number of emails discussing this draft with the  
authors. Mostly off list however the chairs were on many of them.  I  
requested a slot to discuss issues related to a WG draft. I got the  
idea that the authors would not be at meeting so they would not be  
able to deal with this. I was trying to get the request information  
in to the chairs early instead of late to make scheduling easier. I'm  
busy.  I certainly could have tried to arrange a phone call with the  
authors - in the past they have rejected that. I though about what is  
it that I would discuss with them and would that change me wanted to  
request a slot. I decided it would not change my desire to have  
discussion on this. I don't see the point of what I would have  
accomplished in a discussion prior to asking for agenda time. If you  
have an idea what you want to accomplish on that, we can easily fix  
this, I'm glad to set up a bridge at some time that works for everyone.

Thanks, Cullen

---

From: Pyda Srisuresh <[email-masked]>
Date: Mon, 26 Jun 2006 19:42:47 -0700 (PDT)

> please be more considerate in your postings. I do want cooperation.
[suresh] Magnus - I was highly surprised and concerned with the announcement
that Cullen has sought a slot for the ICMP draft. This is odd. I had not seen
anything like this before. I had no clue why he would do somthing like this. I
was certainly not consulted (even privately). Until Cullen indicated that he
wanted to review the open issues, I did not know the intent. Had I known the
specific intent, I would have sent the issues and resolutions out to the list
right away. As soon as I learnt of the intent, I posted the issues to the list.
I prefer reviewing issues and concluding issues on the list. I am not not in
favor of using WG meetings as the main source of discussion or conclusions. 

I do believe, I have been civil throughout in my e-mails.

> Please sort out between yourself who is going to summarize the open 
[suresh] Fair enough. We will do that.

regards,
suresh

---

From: Pyda Srisuresh <[email-masked]>
Date: Mon, 26 Jun 2006 19:43:27 -0700 (PDT)

--- Cullen Jennings <fluffy@xxxxxxxxx> wrote:

> able to deal with this. 

[suresh] Cullen - Yes, we did have private e-mail discussions before the ICMP
draft was out. But, none that I can recall afterwards. I truely had no clue why
you would ask for a slot.

As for assuming the authors wouldnt be at the meeting - I decided I wouldnt be
able to attend the IETF only recently, just a few days ago. Why would I tell
others anything of my plans before I decide it myself. I also do not recall
saying anything about the plans of my co-authors to anyone.

>                         I was trying to get the request information  
> authors - in the past they have rejected that. 

[suresh] I do not recall rejecting your phone conversation offer. I do recall,
Your suggesting to talk over the phone sometime back on a different occasion.
In the past when I tried to contact you, it was not easy to get to you over the
phone without prior appointment. So, I just didnt follow up with a call.

Anyways, I will be happy to talk. I will hook up with you offlien to setup the
time. 

>                                                I though about what is  
> accomplished in a discussion prior to asking for agenda time. 

[suresh] There is a lot that woudl have been different, had you enquired first.
If I knew that you had intended to discuss the last WG meetign issues, I would
have posted the issues/resolution to the list right away. Second, you woudl
have learnt what the authors are thinking. We could have discussed and figured
out the best way to review.

>                                                               If you  

[suresh] That works for me. I will be happy to be on the call. Thank you.

regards,
suresh

---

From: Fernando Gont <[email-masked]>
Date: Thu, 29 Jun 2006 18:15:42 -0700 (PDT)

At 16:12 23/06/2006, Cullen Jennings wrote:

IIRC, decisions are supposed to be taken on-list.

Everybody has access to e-mail. Not everybody is sponsored/financed 
to travel three times a year to attend the IETF meetings.

Why can't these points be raised here?

And why should the authors (and all of us that won't attend the next 
IETF) wait till the next IETF for those points to be raised?

Kindest regards,

--
Fernando Gont
e-mail: fernando@xxxxxxxxxxx || fgont@xxxxxxx
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

---

From: Cullen Jennings <[email-masked]>
Date: Sat, 1 Jul 2006 12:57:15 -0700 (PDT)

On Jun 26, 2006, at 7:43 PM, Pyda Srisuresh wrote:

Anyways, I will be happy to talk. I will hook up with you offlien  
to setup the
time.
I've been traveling this week - how about Thursday 1-2 PST or friday  
2-3 PST?